# -*- coding: utf-8 -*-

from PyQt4 import QtCore, QtGui
import os

class ConfusionMatrixViewer(QtGui.QDialog):
    def __init__(self, matrixstring, layernames, parent = None):
        QtGui.QDialog.__init__(self)
        
        self.setWindowTitle(u"Matrice de confusion")
        
        matrix = []
        for line in iter(matrixstring.splitlines()):
            if not line or line[0] == 'M':
                continue
            matrix.append(line.split())
        n = len(matrix)
        
        self.label = QtGui.QLabel()
        self.label.setText( (u'La classification a été réalisée avec succès.%s'
                              '<a href="http://fr.wikipedia.org/wiki/Matrice_de_confusion">Matrice de confusion</a> :%s') % (2*os.linesep, os.linesep) )
        self.label.setTextFormat(QtCore.Qt.RichText)

        self.table = QtGui.QTableWidget()
        self.table.setColumnCount(n)
        self.table.setRowCount(n)
        for row in range(n):
            for col in range(n):
                self.table.setCellWidget(row, col, QtGui.QLabel(matrix[row][col]))

        self.table.setHorizontalHeaderLabels(layernames)
        self.table.setVerticalHeaderLabels(layernames)
        
#        self.table.setColumnWidth(0,270)
#        self.table.verticalHeader().setVisible(False)
#        self.table.horizontalHeader().setVisible(False)
#        self.table.horizontalHeader().setResizeMode(QtGui.QHeaderView.Stretch)
#        self.setTableContent()
        
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.addWidget(self.label)
        self.verticalLayout.addWidget(self.table)
        
        self.setLayout(self.verticalLayout)
