# -*- coding: utf-8 -*-

from PyQt4 import QtCore, QtGui
from RasterLayerSelectorItem import RasterLayerSelectorItem

class RasterLayerSelectorTable(QtGui.QWidget):
    def __init__(self, layers, parent = None):
        super(RasterLayerSelectorTable, self).__init__(parent)
        
        self.layers = layers
        
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setSpacing(2)
        self.verticalLayout.setMargin(0)
        
        self.label = QtGui.QLabel("Couches images : ")

        self.table = QtGui.QTableWidget()
        self.table.setColumnCount(1)
        self.table.setColumnWidth(0,270)
        self.table.verticalHeader().setVisible(False)
        self.table.horizontalHeader().setVisible(False)
        self.table.horizontalHeader().setResizeMode(QtGui.QHeaderView.Stretch)
        self.setTableContent()
        
        self.selectallbutton = QtGui.QPushButton(u"(Dé)sélectionner tout")
        self.selectallbutton.clicked.connect(self.selectAll)
        
        self.selectallbuttonlayout = QtGui.QHBoxLayout()
        self.selectallbuttonlayout.addStretch()
        self.selectallbuttonlayout.addWidget(self.selectallbutton)
        self.selectallbuttonlayout.addStretch()
        
        self.verticalLayout.addWidget(self.label)
        self.verticalLayout.addWidget(self.table)
        self.verticalLayout.addLayout(self.selectallbuttonlayout)
        
        self.setLayout(self.verticalLayout)

    def selectAll(self):
        checked = False
        for i in range(len(self.layers)):
            widget = self.table.cellWidget(i, 0)
            if not widget.isChecked():
                checked = True
                break
        for i in range(len(self.layers)):
            widget = self.table.cellWidget(i, 0)
            widget.setChecked(checked)

    def setTableContent(self):
        n = len(self.layers)
        self.table.setRowCount(n)
        for i in range(n):
            item = RasterLayerSelectorItem(self.layers[i], None)
            self.table.setCellWidget(i,0, item)

    def getSelectedOptions(self):
        selectedLayers = []
        for i in range(len(self.layers)):
            widget = self.table.cellWidget(i, 0)
            if widget.isChecked():
                selectedLayers.append(self.layers[i])
        return selectedLayers
        